# RankingServerDBSpec.h File Reference

Not code so much as a specification for the structures and classes that an implementation of the ranking server can use. More...

`#include "Export.h"`
`#include "DS_List.h"`
`#include "RakNetTypes.h"`
`#include "RakString.h"`
`#include "RefCountedObj.h"`

## Namespaces

namespace | RakNet
namespace | RankingServerDBSpec

## Classes

struct | RankingServerDBSpec::PairedKeyDbId
class | RankingServerDBSpec::SubmitMatch_Data
class | RankingServerDBSpec::ModifyTrustedIPList_Data
class | RankingServerDBSpec::GetTrustedIPList_Data
class | RankingServerDBSpec::GetRatingForParticipant_Data
| Given a particular player and game, get that player's rating from the database. More...
class | RankingServerDBSpec::GetRatingForParticipants_Data
| Given a particular game, get ratings for all players. More...
class | RankingServerDBSpec::GetHistoryForParticipant_Data
| Given a particular player and game, get a match history. More...

## Typedefs

typedef unsigned | RankingServerDBSpec::DatabaseKey
| Type of the primary keys in the database.

## Detailed Description

Not code so much as a specification for the structures and classes that an implementation of the ranking server can use.

This file is part of RakNet Copyright 2003 Kevin Jenkins.

Usage of RakNet is subject to the appropriate license agreement. Creative Commons Licensees are subject to the license found at http://creativecommons.org/licenses/by-nc/2.5/ Single application licensees are subject to the license found at http://www.jenkinssoftware.com/SingleApplicationLicense.html Custom license users are subject to the terms therein. GPL license users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.